PageRenderTime 47ms CodeModel.GetById 14ms RepoModel.GetById 1ms app.codeStats 0ms

/netbsd-iscsi-20080207/src/config.status

#
Korn Shell | 895 lines | 746 code | 70 blank | 79 comment | 55 complexity | 7f5e1025c0effa4385a607a1fececadb MD5 | raw file
Possible License(s): BSD-3-Clause
  1. #! /bin/ksh
  2. # Generated by configure.
  3. # Run this file to recreate the current configuration.
  4. # Compiler output produced by configure, useful for debugging
  5. # configure, is in config.log if it exists.
  6. debug=false
  7. ac_cs_recheck=false
  8. ac_cs_silent=false
  9. SHELL=${CONFIG_SHELL-/bin/ksh}
  10. ## --------------------- ##
  11. ## M4sh Initialization. ##
  12. ## --------------------- ##
  13. # Be more Bourne compatible
  14. DUALCASE=1; export DUALCASE # for MKS sh
  15. if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  16. emulate sh
  17. NULLCMD=:
  18. # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  19. # is contrary to our usage. Disable this feature.
  20. alias -g '${1+"$@"}'='"$@"'
  21. setopt NO_GLOB_SUBST
  22. else
  23. case `(set -o) 2>/dev/null` in
  24. *posix*) set -o posix ;;
  25. esac
  26. fi
  27. # PATH needs CR
  28. # Avoid depending upon Character Ranges.
  29. as_cr_letters='abcdefghijklmnopqrstuvwxyz'
  30. as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
  31. as_cr_Letters=$as_cr_letters$as_cr_LETTERS
  32. as_cr_digits='0123456789'
  33. as_cr_alnum=$as_cr_Letters$as_cr_digits
  34. # The user is always right.
  35. if test "${PATH_SEPARATOR+set}" != set; then
  36. echo "#! /bin/sh" >conf$$.sh
  37. echo "exit 0" >>conf$$.sh
  38. chmod +x conf$$.sh
  39. if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
  40. PATH_SEPARATOR=';'
  41. else
  42. PATH_SEPARATOR=:
  43. fi
  44. rm -f conf$$.sh
  45. fi
  46. # Support unset when possible.
  47. if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
  48. as_unset=unset
  49. else
  50. as_unset=false
  51. fi
  52. # IFS
  53. # We need space, tab and new line, in precisely that order. Quoting is
  54. # there to prevent editors from complaining about space-tab.
  55. # (If _AS_PATH_WALK were called with IFS unset, it would disable word
  56. # splitting by setting IFS to empty value.)
  57. as_nl='
  58. '
  59. IFS=" "" $as_nl"
  60. # Find who we are. Look in the path if we contain no directory separator.
  61. case $0 in
  62. *[\\/]* ) as_myself=$0 ;;
  63. *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  64. for as_dir in $PATH
  65. do
  66. IFS=$as_save_IFS
  67. test -z "$as_dir" && as_dir=.
  68. test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  69. done
  70. IFS=$as_save_IFS
  71. ;;
  72. esac
  73. # We did not find ourselves, most probably we were run as `sh COMMAND'
  74. # in which case we are not to be found in the path.
  75. if test "x$as_myself" = x; then
  76. as_myself=$0
  77. fi
  78. if test ! -f "$as_myself"; then
  79. echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
  80. { (exit 1); exit 1; }
  81. fi
  82. # Work around bugs in pre-3.0 UWIN ksh.
  83. for as_var in ENV MAIL MAILPATH
  84. do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
  85. done
  86. PS1='$ '
  87. PS2='> '
  88. PS4='+ '
  89. # NLS nuisances.
  90. for as_var in \
  91. LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
  92. LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
  93. LC_TELEPHONE LC_TIME
  94. do
  95. if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
  96. eval $as_var=C; export $as_var
  97. else
  98. ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
  99. fi
  100. done
  101. # Required to use basename.
  102. if expr a : '\(a\)' >/dev/null 2>&1 &&
  103. test "X`expr 00001 : '.*\(...\)'`" = X001; then
  104. as_expr=expr
  105. else
  106. as_expr=false
  107. fi
  108. if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
  109. as_basename=basename
  110. else
  111. as_basename=false
  112. fi
  113. # Name of the executable.
  114. as_me=`$as_basename -- "$0" ||
  115. $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
  116. X"$0" : 'X\(//\)$' \| \
  117. X"$0" : 'X\(/\)' \| . 2>/dev/null ||
  118. echo X/"$0" |
  119. sed '/^.*\/\([^/][^/]*\)\/*$/{
  120. s//\1/
  121. q
  122. }
  123. /^X\/\(\/\/\)$/{
  124. s//\1/
  125. q
  126. }
  127. /^X\/\(\/\).*/{
  128. s//\1/
  129. q
  130. }
  131. s/.*/./; q'`
  132. # CDPATH.
  133. $as_unset CDPATH
  134. as_lineno_1=$LINENO
  135. as_lineno_2=$LINENO
  136. test "x$as_lineno_1" != "x$as_lineno_2" &&
  137. test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
  138. # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  139. # uniformly replaced by the line number. The first 'sed' inserts a
  140. # line-number line after each line using $LINENO; the second 'sed'
  141. # does the real work. The second script uses 'N' to pair each
  142. # line-number line with the line containing $LINENO, and appends
  143. # trailing '-' during substitution so that $LINENO is not a special
  144. # case at line end.
  145. # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  146. # scripts with optimization help from Paolo Bonzini. Blame Lee
  147. # E. McMahon (1931-1989) for sed's syntax. :-)
  148. sed -n '
  149. p
  150. /[$]LINENO/=
  151. ' <$as_myself |
  152. sed '
  153. s/[$]LINENO.*/&-/
  154. t lineno
  155. b
  156. :lineno
  157. N
  158. :loop
  159. s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
  160. t loop
  161. s/-\n.*//
  162. ' >$as_me.lineno &&
  163. chmod +x "$as_me.lineno" ||
  164. { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
  165. { (exit 1); exit 1; }; }
  166. # Don't try to exec as it changes $[0], causing all sort of problems
  167. # (the dirname of $[0] is not the place where we might find the
  168. # original and so on. Autoconf is especially sensitive to this).
  169. . "./$as_me.lineno"
  170. # Exit status is that of the last command.
  171. exit
  172. }
  173. if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
  174. as_dirname=dirname
  175. else
  176. as_dirname=false
  177. fi
  178. ECHO_C= ECHO_N= ECHO_T=
  179. case `echo -n x` in
  180. -n*)
  181. case `echo 'x\c'` in
  182. *c*) ECHO_T=' ';; # ECHO_T is single tab character.
  183. *) ECHO_C='\c';;
  184. esac;;
  185. *)
  186. ECHO_N='-n';;
  187. esac
  188. if expr a : '\(a\)' >/dev/null 2>&1 &&
  189. test "X`expr 00001 : '.*\(...\)'`" = X001; then
  190. as_expr=expr
  191. else
  192. as_expr=false
  193. fi
  194. rm -f conf$$ conf$$.exe conf$$.file
  195. if test -d conf$$.dir; then
  196. rm -f conf$$.dir/conf$$.file
  197. else
  198. rm -f conf$$.dir
  199. mkdir conf$$.dir
  200. fi
  201. echo >conf$$.file
  202. if ln -s conf$$.file conf$$ 2>/dev/null; then
  203. as_ln_s='ln -s'
  204. # ... but there are two gotchas:
  205. # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
  206. # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
  207. # In both cases, we have to default to `cp -p'.
  208. ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
  209. as_ln_s='cp -p'
  210. elif ln conf$$.file conf$$ 2>/dev/null; then
  211. as_ln_s=ln
  212. else
  213. as_ln_s='cp -p'
  214. fi
  215. rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
  216. rmdir conf$$.dir 2>/dev/null
  217. if mkdir -p . 2>/dev/null; then
  218. as_mkdir_p=:
  219. else
  220. test -d ./-p && rmdir ./-p
  221. as_mkdir_p=false
  222. fi
  223. if test -x / >/dev/null 2>&1; then
  224. as_test_x='test -x'
  225. else
  226. if ls -dL / >/dev/null 2>&1; then
  227. as_ls_L_option=L
  228. else
  229. as_ls_L_option=
  230. fi
  231. as_test_x='
  232. eval sh -c '\''
  233. if test -d "$1"; then
  234. test -d "$1/.";
  235. else
  236. case $1 in
  237. -*)set "./$1";;
  238. esac;
  239. case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
  240. ???[sx]*):;;*)false;;esac;fi
  241. '\'' sh
  242. '
  243. fi
  244. as_executable_p=$as_test_x
  245. # Sed expression to map a string onto a valid CPP name.
  246. as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
  247. # Sed expression to map a string onto a valid variable name.
  248. as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
  249. exec 6>&1
  250. # Save the log message, to keep $[0] and so on meaningful, and to
  251. # report actual input values of CONFIG_FILES etc. instead of their
  252. # values after options handling.
  253. ac_log="
  254. This file was extended by netbsd-iscsi $as_me 20080207, which was
  255. generated by GNU Autoconf 2.61. Invocation command line was
  256. CONFIG_FILES = $CONFIG_FILES
  257. CONFIG_HEADERS = $CONFIG_HEADERS
  258. CONFIG_LINKS = $CONFIG_LINKS
  259. CONFIG_COMMANDS = $CONFIG_COMMANDS
  260. $ $0 $@
  261. on `(hostname || uname -n) 2>/dev/null | sed 1q`
  262. "
  263. # Files that config.status was made for.
  264. config_files=" Makefile"
  265. config_headers=" ../include/config.h"
  266. ac_cs_usage="\
  267. \`$as_me' instantiates files from templates according to the
  268. current configuration.
  269. Usage: $0 [OPTIONS] [FILE]...
  270. -h, --help print this help, then exit
  271. -V, --version print version number and configuration settings, then exit
  272. -q, --quiet do not print progress messages
  273. -d, --debug don't remove temporary files
  274. --recheck update $as_me by reconfiguring in the same conditions
  275. --file=FILE[:TEMPLATE]
  276. instantiate the configuration file FILE
  277. --header=FILE[:TEMPLATE]
  278. instantiate the configuration header FILE
  279. Configuration files:
  280. $config_files
  281. Configuration headers:
  282. $config_headers
  283. Report bugs to <bug-autoconf@gnu.org>."
  284. ac_cs_version="\
  285. netbsd-iscsi config.status 20080207
  286. configured by ./configure, generated by GNU Autoconf 2.61,
  287. with options \"'--prefix=/usr/pkg'\"
  288. Copyright (C) 2006 Free Software Foundation, Inc.
  289. This config.status script is free software; the Free Software Foundation
  290. gives unlimited permission to copy, distribute and modify it."
  291. ac_pwd='/usr/src/dist/iscsi/src'
  292. srcdir='.'
  293. INSTALL='/usr/bin/install -c'
  294. # If no file are specified by the user, then we need to provide default
  295. # value. By we need to know if files were specified by the user.
  296. ac_need_defaults=:
  297. while test $# != 0
  298. do
  299. case $1 in
  300. --*=*)
  301. ac_option=`expr "X$1" : 'X\([^=]*\)='`
  302. ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
  303. ac_shift=:
  304. ;;
  305. *)
  306. ac_option=$1
  307. ac_optarg=$2
  308. ac_shift=shift
  309. ;;
  310. esac
  311. case $ac_option in
  312. # Handling of the options.
  313. -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  314. ac_cs_recheck=: ;;
  315. --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
  316. echo "$ac_cs_version"; exit ;;
  317. --debug | --debu | --deb | --de | --d | -d )
  318. debug=: ;;
  319. --file | --fil | --fi | --f )
  320. $ac_shift
  321. CONFIG_FILES="$CONFIG_FILES $ac_optarg"
  322. ac_need_defaults=false;;
  323. --header | --heade | --head | --hea )
  324. $ac_shift
  325. CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
  326. ac_need_defaults=false;;
  327. --he | --h)
  328. # Conflict between --help and --header
  329. { echo "$as_me: error: ambiguous option: $1
  330. Try \`$0 --help' for more information." >&2
  331. { (exit 1); exit 1; }; };;
  332. --help | --hel | -h )
  333. echo "$ac_cs_usage"; exit ;;
  334. -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  335. | -silent | --silent | --silen | --sile | --sil | --si | --s)
  336. ac_cs_silent=: ;;
  337. # This is an error.
  338. -*) { echo "$as_me: error: unrecognized option: $1
  339. Try \`$0 --help' for more information." >&2
  340. { (exit 1); exit 1; }; } ;;
  341. *) ac_config_targets="$ac_config_targets $1"
  342. ac_need_defaults=false ;;
  343. esac
  344. shift
  345. done
  346. ac_configure_extra_args=
  347. if $ac_cs_silent; then
  348. exec 6>/dev/null
  349. ac_configure_extra_args="$ac_configure_extra_args --silent"
  350. fi
  351. if $ac_cs_recheck; then
  352. echo "running CONFIG_SHELL=/bin/ksh /bin/ksh ./configure " '--prefix=/usr/pkg' $ac_configure_extra_args " --no-create --no-recursion" >&6
  353. CONFIG_SHELL=/bin/ksh
  354. export CONFIG_SHELL
  355. exec /bin/ksh "./configure" '--prefix=/usr/pkg' $ac_configure_extra_args --no-create --no-recursion
  356. fi
  357. exec 5>>config.log
  358. {
  359. echo
  360. sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
  361. ## Running $as_me. ##
  362. _ASBOX
  363. echo "$ac_log"
  364. } >&5
  365. # Handling of arguments.
  366. for ac_config_target in $ac_config_targets
  367. do
  368. case $ac_config_target in
  369. "../include/config.h") CONFIG_HEADERS="$CONFIG_HEADERS ../include/config.h" ;;
  370. "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  371. *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
  372. echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
  373. { (exit 1); exit 1; }; };;
  374. esac
  375. done
  376. # If the user did not use the arguments to specify the items to instantiate,
  377. # then the envvar interface is used. Set only those that are not.
  378. # We use the long form for the default assignment because of an extremely
  379. # bizarre bug on SunOS 4.1.3.
  380. if $ac_need_defaults; then
  381. test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  382. test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  383. fi
  384. # Have a temporary directory for convenience. Make it in the build tree
  385. # simply because there is no reason against having it here, and in addition,
  386. # creating and moving files from /tmp can sometimes cause problems.
  387. # Hook for its removal unless debugging.
  388. # Note that there is a small window in which the directory will not be cleaned:
  389. # after its creation but before its name has been assigned to `$tmp'.
  390. $debug ||
  391. {
  392. tmp=
  393. trap 'exit_status=$?
  394. { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
  395. ' 0
  396. trap '{ (exit 1); exit 1; }' 1 2 13 15
  397. }
  398. # Create a (secure) tmp directory for tmp files.
  399. {
  400. tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
  401. test -n "$tmp" && test -d "$tmp"
  402. } ||
  403. {
  404. tmp=./conf$$-$RANDOM
  405. (umask 077 && mkdir "$tmp")
  406. } ||
  407. {
  408. echo "$me: cannot create a temporary directory in ." >&2
  409. { (exit 1); exit 1; }
  410. }
  411. #
  412. # Set up the sed scripts for CONFIG_FILES section.
  413. #
  414. # No need to generate the scripts if there are no CONFIG_FILES.
  415. # This happens for instance when ./config.status config.h
  416. if test -n "$CONFIG_FILES"; then
  417. cat >"$tmp/subs-1.sed" <<\CEOF
  418. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
  419. s,@SHELL@,|#_!!_#|/bin/ksh,g
  420. s,@PATH_SEPARATOR@,|#_!!_#|:,g
  421. s,@PACKAGE_NAME@,|#_!!_#|netbsd-iscsi,g
  422. s,@PACKAGE_TARNAME@,|#_!!_#|netbsd-iscsi,g
  423. s,@PACKAGE_VERSION@,|#_!!_#|20080207,g
  424. s,@PACKAGE_STRING@,|#_!!_#|netbsd-iscsi 20080207,g
  425. s,@PACKAGE_BUGREPORT@,|#_!!_#|Alistair Crooks <agc@|#_!!_#|NetBSD.org>,g
  426. s,@exec_prefix@,|#_!!_#|${prefix},g
  427. s,@prefix@,|#_!!_#|/usr/pkg,g
  428. s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
  429. s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
  430. s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
  431. s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
  432. s,@datarootdir@,|#_!!_#|${prefix}/share,g
  433. s,@datadir@,|#_!!_#|${datarootdir},g
  434. s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
  435. s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
  436. s,@localstatedir@,|#_!!_#|${prefix}/var,g
  437. s,@includedir@,|#_!!_#|${prefix}/include,g
  438. s,@oldincludedir@,|#_!!_#|/usr/include,g
  439. s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
  440. s,@infodir@,|#_!!_#|${datarootdir}/info,g
  441. s,@htmldir@,|#_!!_#|${docdir},g
  442. s,@dvidir@,|#_!!_#|${docdir},g
  443. s,@pdfdir@,|#_!!_#|${docdir},g
  444. s,@psdir@,|#_!!_#|${docdir},g
  445. s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
  446. s,@localedir@,|#_!!_#|${datarootdir}/locale,g
  447. s,@mandir@,|#_!!_#|${datarootdir}/man,g
  448. s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
  449. s,@ECHO_C@,|#_!!_#|,g
  450. s,@ECHO_N@,|#_!!_#|-n,g
  451. s,@ECHO_T@,|#_!!_#|,g
  452. s,@LIBS@,|#_!!_#|-lresolv ,g
  453. s,@build_alias@,|#_!!_#|,g
  454. s,@host_alias@,|#_!!_#|,g
  455. s,@target_alias@,|#_!!_#|,g
  456. s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
  457. s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
  458. s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
  459. s,@CC@,|#_!!_#|gcc,g
  460. s,@CFLAGS@,|#_!!_#|-g -O2,g
  461. s,@LDFLAGS@,|#_!!_#|,g
  462. s,@CPPFLAGS@,|#_!!_#|,g
  463. s,@ac_ct_CC@,|#_!!_#|gcc,g
  464. s,@EXEEXT@,|#_!!_#|,g
  465. s,@OBJEXT@,|#_!!_#|o,g
  466. s,@RANLIB@,|#_!!_#|ranlib,g
  467. s,@CPP@,|#_!!_#|gcc -E,g
  468. s,@GREP@,|#_!!_#|/usr/bin/grep,g
  469. s,@EGREP@,|#_!!_#|/usr/bin/grep -E,g
  470. s,@LIBOBJS@,|#_!!_#|,g
  471. s,@LTLIBOBJS@,|#_!!_#|,g
  472. :end
  473. s/|#_!!_#|//g
  474. CEOF
  475. fi # test -n "$CONFIG_FILES"
  476. for ac_tag in :F $CONFIG_FILES :H $CONFIG_HEADERS
  477. do
  478. case $ac_tag in
  479. :[FHLC]) ac_mode=$ac_tag; continue;;
  480. esac
  481. case $ac_mode$ac_tag in
  482. :[FHL]*:*);;
  483. :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
  484. echo "$as_me: error: Invalid tag $ac_tag." >&2;}
  485. { (exit 1); exit 1; }; };;
  486. :[FH]-) ac_tag=-:-;;
  487. :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
  488. esac
  489. ac_save_IFS=$IFS
  490. IFS=:
  491. set x $ac_tag
  492. IFS=$ac_save_IFS
  493. shift
  494. ac_file=$1
  495. shift
  496. case $ac_mode in
  497. :L) ac_source=$1;;
  498. :[FH])
  499. ac_file_inputs=
  500. for ac_f
  501. do
  502. case $ac_f in
  503. -) ac_f="$tmp/stdin";;
  504. *) # Look for the file first in the build tree, then in the source tree
  505. # (if the path is not absolute). The absolute path cannot be DOS-style,
  506. # because $ac_f cannot contain `:'.
  507. test -f "$ac_f" ||
  508. case $ac_f in
  509. [\\/$]*) false;;
  510. *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
  511. esac ||
  512. { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
  513. echo "$as_me: error: cannot find input file: $ac_f" >&2;}
  514. { (exit 1); exit 1; }; };;
  515. esac
  516. ac_file_inputs="$ac_file_inputs $ac_f"
  517. done
  518. # Let's still pretend it is `configure' which instantiates (i.e., don't
  519. # use $as_me), people would be surprised to read:
  520. # /* config.h. Generated by config.status. */
  521. configure_input="Generated from "`IFS=:
  522. echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
  523. if test x"$ac_file" != x-; then
  524. configure_input="$ac_file. $configure_input"
  525. { echo "$as_me:$LINENO: creating $ac_file" >&5
  526. echo "$as_me: creating $ac_file" >&6;}
  527. fi
  528. case $ac_tag in
  529. *:-:* | *:-) cat >"$tmp/stdin";;
  530. esac
  531. ;;
  532. esac
  533. ac_dir=`$as_dirname -- "$ac_file" ||
  534. $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  535. X"$ac_file" : 'X\(//\)[^/]' \| \
  536. X"$ac_file" : 'X\(//\)$' \| \
  537. X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
  538. echo X"$ac_file" |
  539. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  540. s//\1/
  541. q
  542. }
  543. /^X\(\/\/\)[^/].*/{
  544. s//\1/
  545. q
  546. }
  547. /^X\(\/\/\)$/{
  548. s//\1/
  549. q
  550. }
  551. /^X\(\/\).*/{
  552. s//\1/
  553. q
  554. }
  555. s/.*/./; q'`
  556. { as_dir="$ac_dir"
  557. case $as_dir in #(
  558. -*) as_dir=./$as_dir;;
  559. esac
  560. test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
  561. as_dirs=
  562. while :; do
  563. case $as_dir in #(
  564. *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
  565. *) as_qdir=$as_dir;;
  566. esac
  567. as_dirs="'$as_qdir' $as_dirs"
  568. as_dir=`$as_dirname -- "$as_dir" ||
  569. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  570. X"$as_dir" : 'X\(//\)[^/]' \| \
  571. X"$as_dir" : 'X\(//\)$' \| \
  572. X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
  573. echo X"$as_dir" |
  574. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  575. s//\1/
  576. q
  577. }
  578. /^X\(\/\/\)[^/].*/{
  579. s//\1/
  580. q
  581. }
  582. /^X\(\/\/\)$/{
  583. s//\1/
  584. q
  585. }
  586. /^X\(\/\).*/{
  587. s//\1/
  588. q
  589. }
  590. s/.*/./; q'`
  591. test -d "$as_dir" && break
  592. done
  593. test -z "$as_dirs" || eval "mkdir $as_dirs"
  594. } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
  595. echo "$as_me: error: cannot create directory $as_dir" >&2;}
  596. { (exit 1); exit 1; }; }; }
  597. ac_builddir=.
  598. case "$ac_dir" in
  599. .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
  600. *)
  601. ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  602. # A ".." for each directory in $ac_dir_suffix.
  603. ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
  604. case $ac_top_builddir_sub in
  605. "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
  606. *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
  607. esac ;;
  608. esac
  609. ac_abs_top_builddir=$ac_pwd
  610. ac_abs_builddir=$ac_pwd$ac_dir_suffix
  611. # for backward compatibility:
  612. ac_top_builddir=$ac_top_build_prefix
  613. case $srcdir in
  614. .) # We are building in place.
  615. ac_srcdir=.
  616. ac_top_srcdir=$ac_top_builddir_sub
  617. ac_abs_top_srcdir=$ac_pwd ;;
  618. [\\/]* | ?:[\\/]* ) # Absolute name.
  619. ac_srcdir=$srcdir$ac_dir_suffix;
  620. ac_top_srcdir=$srcdir
  621. ac_abs_top_srcdir=$srcdir ;;
  622. *) # Relative name.
  623. ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
  624. ac_top_srcdir=$ac_top_build_prefix$srcdir
  625. ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
  626. esac
  627. ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
  628. case $ac_mode in
  629. :F)
  630. #
  631. # CONFIG_FILE
  632. #
  633. case $INSTALL in
  634. [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  635. *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
  636. esac
  637. # If the template does not know about datarootdir, expand it.
  638. # FIXME: This hack should be removed a few years after 2.60.
  639. ac_datarootdir_hack=; ac_datarootdir_seen=
  640. case `sed -n '/datarootdir/ {
  641. p
  642. q
  643. }
  644. /@datadir@/p
  645. /@docdir@/p
  646. /@infodir@/p
  647. /@localedir@/p
  648. /@mandir@/p
  649. ' $ac_file_inputs` in
  650. *datarootdir*) ac_datarootdir_seen=yes;;
  651. *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
  652. { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
  653. echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
  654. ac_datarootdir_hack='
  655. s&@datadir@&${datarootdir}&g
  656. s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
  657. s&@infodir@&${datarootdir}/info&g
  658. s&@localedir@&${datarootdir}/locale&g
  659. s&@mandir@&${datarootdir}/man&g
  660. s&\${datarootdir}&${prefix}/share&g' ;;
  661. esac
  662. sed "/^[ ]*VPATH[ ]*=/{
  663. s/:*\$(srcdir):*/:/
  664. s/:*\${srcdir}:*/:/
  665. s/:*@srcdir@:*/:/
  666. s/^\([^=]*=[ ]*\):*/\1/
  667. s/:*$//
  668. s/^[^=]*=[ ]*$//
  669. }
  670. :t
  671. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  672. s&@configure_input@&$configure_input&;t t
  673. s&@top_builddir@&$ac_top_builddir_sub&;t t
  674. s&@srcdir@&$ac_srcdir&;t t
  675. s&@abs_srcdir@&$ac_abs_srcdir&;t t
  676. s&@top_srcdir@&$ac_top_srcdir&;t t
  677. s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
  678. s&@builddir@&$ac_builddir&;t t
  679. s&@abs_builddir@&$ac_abs_builddir&;t t
  680. s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
  681. s&@INSTALL@&$ac_INSTALL&;t t
  682. $ac_datarootdir_hack
  683. " $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
  684. test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
  685. { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
  686. { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
  687. { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
  688. which seems to be undefined. Please make sure it is defined." >&5
  689. echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
  690. which seems to be undefined. Please make sure it is defined." >&2;}
  691. rm -f "$tmp/stdin"
  692. case $ac_file in
  693. -) cat "$tmp/out"; rm -f "$tmp/out";;
  694. *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
  695. esac
  696. ;;
  697. :H)
  698. #
  699. # CONFIG_HEADER
  700. #
  701. # First, check the format of the line:
  702. cat >"$tmp/defines.sed" <<\CEOF
  703. /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
  704. /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
  705. b
  706. :def
  707. s/$/ /
  708. s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_NAME\)[ (].*,\1define\2 "netbsd-iscsi" ,
  709. s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_TARNAME\)[ (].*,\1define\2 "netbsd-iscsi" ,
  710. s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_VERSION\)[ (].*,\1define\2 "20080207" ,
  711. s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_STRING\)[ (].*,\1define\2 "netbsd-iscsi 20080207" ,
  712. s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_BUGREPORT\)[ (].*,\1define\2 "Alistair Crooks <agc@NetBSD.org>" ,
  713. s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
  714. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
  715. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
  716. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
  717. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
  718. s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMORY_H\)[ (].*,\1define\2 1 ,
  719. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
  720. s,^\([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_H\)[ (].*,\1define\2 1 ,
  721. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
  722. s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
  723. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
  724. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_PARAM_H\)[ (].*,\1define\2 1 ,
  725. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
  726. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TIME_H\)[ (].*,\1define\2 1 ,
  727. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_MMAN_H\)[ (].*,\1define\2 1 ,
  728. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_UIO_H\)[ (].*,\1define\2 1 ,
  729. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_SOCKET_H\)[ (].*,\1define\2 1 ,
  730. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TIME_H\)[ (].*,\1define\2 1 ,
  731. s,^\([ #]*\)[^ ]*\([ ]*HAVE_ARPA_INET_H\)[ (].*,\1define\2 1 ,
  732. s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETINET_IN_H\)[ (].*,\1define\2 1 ,
  733. s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETINET_TCP_H\)[ (].*,\1define\2 1 ,
  734. s,^\([ #]*\)[^ ]*\([ ]*HAVE_NETDB_H\)[ (].*,\1define\2 1 ,
  735. s,^\([ #]*\)[^ ]*\([ ]*HAVE_POLL_H\)[ (].*,\1define\2 1 ,
  736. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_BSWAP_H\)[ (].*,\1define\2 1 ,
  737. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_SELECT_H\)[ (].*,\1define\2 1 ,
  738. s,^\([ #]*\)[^ ]*\([ ]*HAVE_MACHINE_ENDIAN_H\)[ (].*,\1define\2 1 ,
  739. s,^\([ #]*\)[^ ]*\([ ]*HAVE_CTYPE_H\)[ (].*,\1define\2 1 ,
  740. s,^\([ #]*\)[^ ]*\([ ]*HAVE_ERRNO_H\)[ (].*,\1define\2 1 ,
  741. s,^\([ #]*\)[^ ]*\([ ]*HAVE_FCNTL_H\)[ (].*,\1define\2 1 ,
  742. s,^\([ #]*\)[^ ]*\([ ]*HAVE_PTHREAD_H\)[ (].*,\1define\2 1 ,
  743. s,^\([ #]*\)[^ ]*\([ ]*HAVE_PWD_H\)[ (].*,\1define\2 1 ,
  744. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SIGNAL_H\)[ (].*,\1define\2 1 ,
  745. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
  746. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
  747. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYSLOG_H\)[ (].*,\1define\2 1 ,
  748. s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
  749. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
  750. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDARG_H\)[ (].*,\1define\2 1 ,
  751. s,^\([ #]*\)[^ ]*\([ ]*HAVE_UTIME_H\)[ (].*,\1define\2 1 ,
  752. s,^\([ #]*\)[^ ]*\([ ]*HAVE_UUID_H\)[ (].*,\1define\2 1 ,
  753. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SOCKLEN_T\)[ (].*,\1define\2 1 ,
  754. s,^\([ #]*\)[^ ]*\([ ]*HAVE_LONG_LONG\)[ (].*,\1define\2 1 ,
  755. s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNSIGNED_LONG_LONG\)[ (].*,\1define\2 1 ,
  756. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SOCKLEN_T\)[ (].*,\1define\2 yes ,
  757. CEOF
  758. sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
  759. # First, check the format of the line:
  760. cat >"$tmp/defines.sed" <<\CEOF
  761. /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
  762. /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
  763. b
  764. :def
  765. s,^\([ #]*\)[^ ]*\([ ]*HAVE_LONG_LONG\)[ (].*,\1define\2 yes ,
  766. s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNSIGNED_LONG_LONG\)[ (].*,\1define\2 yes ,
  767. s,^\([ #]*\)[^ ]*\([ ]*HAVE_LIBRESOLV\)[ (].*,\1define\2 1 ,
  768. s,^\([ #]*\)[^ ]*\([ ]*HAVE_ASPRINTF\)[ (].*,\1define\2 1 ,
  769. s,^\([ #]*\)[^ ]*\([ ]*HAVE_BSWAP64\)[ (].*,\1define\2 1 ,
  770. s,^\([ #]*\)[^ ]*\([ ]*HAVE_DAEMON\)[ (].*,\1define\2 1 ,
  771. s,^\([ #]*\)[^ ]*\([ ]*HAVE_FSYNC_RANGE\)[ (].*,\1define\2 1 ,
  772. s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETADDRINFO\)[ (].*,\1define\2 1 ,
  773. s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETNAMEINFO\)[ (].*,\1define\2 1 ,
  774. s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMSET\)[ (].*,\1define\2 1 ,
  775. s,^\([ #]*\)[^ ]*\([ ]*HAVE_BCOPY\)[ (].*,\1define\2 1 ,
  776. s,^\([ #]*\)[^ ]*\([ ]*HAVE_POLL\)[ (].*,\1define\2 1 ,
  777. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SNPRINTF\)[ (].*,\1define\2 1 ,
  778. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRLCPY\)[ (].*,\1define\2 1 ,
  779. s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRTOLL\)[ (].*,\1define\2 1 ,
  780. s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYSLOG\)[ (].*,\1define\2 1 ,
  781. s,^\([ #]*\)[^ ]*\([ ]*HAVE_UUID_CREATE\)[ (].*,\1define\2 1 ,
  782. s,^\([ #]*\)[^ ]*\([ ]*HAVE_UUID_TO_STRING\)[ (].*,\1define\2 1 ,
  783. s,^\([ #]*\)[^ ]*\([ ]*HAVE_VASPRINTF\)[ (].*,\1define\2 1 ,
  784. s,^\([ #]*\)[^ ]*\([ ]*HAVE_VSNPRINTF\)[ (].*,\1define\2 1 ,
  785. s/ $//
  786. s,^[ #]*u.*,/* & */,
  787. CEOF
  788. sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
  789. ac_result="$tmp/out2"
  790. if test x"$ac_file" != x-; then
  791. echo "/* $configure_input */" >"$tmp/config.h"
  792. cat "$ac_result" >>"$tmp/config.h"
  793. if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
  794. { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
  795. echo "$as_me: $ac_file is unchanged" >&6;}
  796. else
  797. rm -f $ac_file
  798. mv "$tmp/config.h" $ac_file
  799. fi
  800. else
  801. echo "/* $configure_input */"
  802. cat "$ac_result"
  803. fi
  804. rm -f "$tmp/out12"
  805. ;;
  806. esac
  807. done # for ac_tag
  808. { (exit 0); exit 0; }